## org.biojava.bio.gui.sequence
Class FeatureLabelRenderer.TypeLabelMaker

    java.lang.Object
      org.biojava.bio.gui.sequence.FeatureLabelRenderer.TypeLabelMaker

All Implemented Interfaces:
  FeatureLabelRenderer.LabelMaker

Enclosing class:
  FeatureLabelRenderer

    public static class FeatureLabelRenderer.TypeLabelMaker

extends Object
implements FeatureLabelRenderer.LabelMaker

Constructor Summary
`FeatureLabelRenderer.TypeLabelMaker()`

Method Summary
`String` `makeLabel(Feature f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FeatureLabelRenderer.TypeLabelMaker

    public FeatureLabelRenderer.TypeLabelMaker()

Method Detail

### makeLabel

    public String makeLabel(Feature f)

  Specified by:
    `makeLabel` in interface `FeatureLabelRenderer.LabelMaker`